Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class GrailsApplicationFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsApplicationFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class GrailsApplicationFactoryBean
    extends java.lang.Object

Creates a Grails application object based on Groovy files.

Authors:
  Steven Devijver
  Graeme Rocher
  Chanwit Kaewkasi

Since:
  0.1

Method Summary
`void` | `afterPropertiesSet()`
`GrailsApplication` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsDescriptor(org.springframework.core.io.Resource r)`
`void` | `setGrailsResourceLoader(GrailsResourceLoader resourceLoader)` @deprecated No longer used will be removed in a future release

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public GrailsApplication getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setGrailsDescriptor

    public void setGrailsDescriptor(org.springframework.core.io.Resource r)

### setGrailsResourceLoader

    @java.lang.Deprecated
    public void setGrailsResourceLoader(GrailsResourceLoader resourceLoader)

  deprecated:
    No longer used will be removed in a future release
  Parameters:
    resourceLoader

Groovy Documentation